import 'package:animates_transitions/animates_transitions.dart';
import 'package:flutter/material.dart';

//Main
void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Material App',
      debugShowCheckedModeBanner: false,
      initialRoute: 'page1',
      routes: {
        'page1': (_) => Page1(),
        'page2': (_) => Page2(),
      },
    );
  }
}

//Pagina 2
class Page1 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.blue,
      appBar: AppBar(
        title: Text('Page 1'),
        backgroundColor: Colors.transparent,
      ),
      body: Center(
        child: MaterialButton(
          child: Text('Go to page 2'),
          color: Colors.white,
          onPressed: () {
            AnimatesTransition(
              context: context,
              child: Page2(),
              animation: AnimationType.fadeIn,
              replacement: true,
              duration: Duration(milliseconds: 400),
            );
          },
        ),
      ),
    );
  }
}

//Pagina 1
class Page2 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.lightBlue,
      appBar: AppBar(
        title: Text('Page 1'),
        backgroundColor: Colors.transparent,
      ),
      body: Center(
        child: Text('Page 2'),
      ),
    );
  }
}
